<script src="app-assets/vendors/js/chartist.min.js" type="text/javascript"></script>
<div class="content-wrapper" ng-controller="relatorioLocadoraController as relatorioLocadoraCtrl">
    <style>
        td,
        th {
            text-align: center;
        }
    </style>
    <div class="d-flex justify-content-center" ng-show="relatorioLocadoraCtrl.loading">
        <div class="spinner-grow text-primary" role="status">
            <span class="sr-only">Loading...</span>
        </div>
        <div class="spinner-grow text-secondary" role="status">
            <span class="sr-only">Loading...</span>
        </div>
        <div class="spinner-grow text-success" role="status">
            <span class="sr-only">Loading...</span>
        </div>
        <div class="spinner-grow text-danger" role="status">
            <span class="sr-only">Loading...</span>
        </div>
        <div class="spinner-grow text-warning" role="status">
            <span class="sr-only">Loading...</span>
        </div>
        <div class="spinner-grow text-info" role="status">
            <span class="sr-only">Loading...</span>
        </div>
        <div class="spinner-grow text-light" role="status">
            <span class="sr-only">Loading...</span>
        </div>
        <div class="spinner-grow text-dark" role="status">
            <span class="sr-only">Loading...</span>
        </div>
    </div>


    <div ng-show="relatorioLocadoraCtrl.show">
        <!-- BEGIN 4 Quadros -->
        <div class="row">
            <div class="col-xl-3 col-lg-6 col-md-6 col-12">
                <div class="card gradient-blackberry">
                    <div class="card-content">
                        <div class="card-body pt-2 pb-0">
                            <div class="media">
                                <div class="media-body white text-left">
                                    <h3 class="font-large-1 mb-0">
                                        {{relatorioLocadoraCtrl.quadroResumo.veiculosCadastrados}}
                                    </h3>
                                    <span>Carros Cadastrados</span>
                                </div>
                                <div class="media-right white text-right">
                                    <i class="fa fa-car font-large-1"></i>
                                </div>
                            </div>
                        </div>
                        <div id="Widget-line-chart1" class="height-75 WidgetlineChart WidgetlineChartshadow mb-2">
                        </div>
                    </div>
                </div>
            </div>
            <div class="col-xl-3 col-lg-6 col-md-6 col-12">
                <div class="card gradient-ibiza-sunset">
                    <div class="card-content">
                        <div class="card-body pt-2 pb-0">
                            <div class="media">
                                <div class="media-body white text-left">
                                    <h3 class="font-large-1 mb-0">
                                        {{relatorioLocadoraCtrl.quadroResumo.veiculosAlugados}}
                                    </h3>
                                    <span>Carros Alugados</span>
                                </div>
                                <div class="media-right white text-right">
                                    <i class="fa fa-taxi font-large-1"></i>
                                </div>
                            </div>
                        </div>
                        <div id="Widget-line-chart2" class="height-75 WidgetlineChart WidgetlineChartshadow mb-2">
                        </div>

                    </div>
                </div>
            </div>

            <div class="col-xl-3 col-lg-6 col-md-6 col-12">
                <div class="card gradient-green-tea">
                    <div class="card-content">
                        <div class="card-body pt-2 pb-0">
                            <div class="media">
                                <div class="media-body white text-left">
                                    <h3 class="font-large-1 mb-0">
                                        {{relatorioLocadoraCtrl.quadroResumo.veiculosDisponiveis}}
                                    </h3>
                                    <span>Carros Disponíveis</span>
                                </div>
                                <div class="media-right white text-right">
                                    <i class="fa fa-thumbs-up font-large-1"></i>
                                </div>
                            </div>
                        </div>
                        <div id="Widget-line-chart3" class="height-75 WidgetlineChart WidgetlineChartshadow mb-2">
                        </div>
                    </div>
                </div>
            </div>
            <div class="col-xl-3 col-lg-6 col-md-6 col-12">
                <div class="card gradient-pomegranate">
                    <div class="card-content">
                        <div class="card-body pt-2 pb-0">
                            <div class="media">
                                <div class="media-body white text-left">
                                    <h3 class="font-large-1 mb-0">
                                        {{relatorioLocadoraCtrl.quadroResumo.veiculosInativos}}
                                    </h3>
                                    <span>Carros Inativos</span>
                                </div>
                                <div class="media-right white text-right">
                                    <i class="fa fa-thumbs-down font-large-1"></i>
                                </div>
                            </div>
                        </div>
                        <div id="Widget-line-chart4" class="height-75 WidgetlineChart WidgetlineChartshadow mb-2">
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <!-- END 4 Quadros -->

        <div class="row mb-2">
            <div class="col-xl-4 col-lg-12">
                <div class="card" style="height: 100%;">
                    <div class="card-content">
                        <div class="card-body">
                            <div class="row d-flex mb-3 py-2">

                                <a class="col align-self-center text-center"
                                    href="{{'malito:' + relatorioLocadoraCtrl.dadosRelatorio[0].email}}">
                                    <i class="icon-envelope font-large-2 blue-grey lighten-2"></i>
                                </a>

                                <div class="col align-self-center"><img alt="96x96"
                                        class="bg-danger width-150 rounded-circle img-fluid"
                                        src="app-assets/img/portrait/avatars/default_avatar.png"></div>

                                <a class="col align-self-center text-center" 
                                    href="{{'https://web.whatsapp.com/send?phone=55' + relatorioLocadoraCtrl.dadosRelatorio[0].whatsapp}}"
                                    target="_blank">
                                    <i class="fa fa-whatsapp font-large-2 blue-grey lighten-2"></i>
                                </a>
                            </div>

                            <h3 class="font-large-1 text-center">
                                {{relatorioLocadoraCtrl.dadosRelatorio[0].nomeResponsavel}}</h3>
                            <span class="font-medium-1 grey d-block text-center">&nbsp;</span>

                            </br></br></br>


                            <span class="font-large-1 d-block text-center"><i
                                    class="fa fa-phone font-large-1 success"></i>
                                &nbsp; {{relatorioLocadoraCtrl.dadosRelatorio[0].telefone}}</span>

                        </div>
                    </div>
                </div>
            </div>

            <div class="col-xl-8 col-lg-12">
                <div class="card" style="height: 100%;">
                    <div class="card-header">
                        <h4 class="card-title mb-0">Aluguéis</h4>
                    </div>
                    <div class="card-content">
                        <div class="card-body">
                            <div class="chart-info mb-3">
                                <span class="text-uppercase mr-3"><i class="fa fa-circle primary font-small-2 mr-1"></i>
                                    Quantidade</span>
                            </div>
                            <div id="line-chart1" class="height-350 lineChart1 lineChart1Shadow">
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <div class="row">
        <div class="col-12">
            <div class="card">
                <div class="card-content">
                    <div id="tableTarget" class="card-body table-responsive">

                    </div>
                </div>
            </div>
        </div>
    </div>
</div>